IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
- Network address
2.64.0.0- Broadcast address
2.127.255.255- First usable
2.64.0.1- Last usable
2.127.255.254- Usable hosts
- 4,194,302 (4,194,304 less the network and broadcast addresses)
- Subnet mask
255.192.0.0- Wildcard mask
0.63.255.255(Cisco ACLs, OSPF)- Prefix length
- /10
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02400000· Integer37748736to41943039 - Reverse DNS zones
64.2.in-addr.arpa65.2.in-addr.arpa66.2.in-addr.arpa67.2.in-addr.arpa68.2.in-addr.arpa69.2.in-addr.arpa70.2.in-addr.arpa71.2.in-addr.arpa72.2.in-addr.arpa73.2.in-addr.arpa74.2.in-addr.arpa75.2.in-addr.arpa76.2.in-addr.arpa77.2.in-addr.arpa78.2.in-addr.arpa79.2.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.01000000.00000000.00000000 | 2.64.0.0 |
| Subnet mask | 11111111.11000000.00000000.00000000 | 255.192.0.0 |
| Network | 00000010.01000000.00000000.00000000 | 2.64.0.0 |
| Broadcast | 00000010.01111111.11111111.11111111 | 2.127.255.255 |
Split into smaller subnets
/11 (2)/12 (4)/13 (8)/14 (16)/15 (32)/16 (64)/17 (128)/18 (256)/19 (512)/20 (1,024)/21 (2,048)/22 (4,096)
2.64.0.0/10 makes 256 subnets of /18.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.64.0.0/18 | 2.64.0.1 to 2.64.63.254 | 2.64.63.255 | 16,382 |
| 2 | 2.64.64.0/18 | 2.64.64.1 to 2.64.127.254 | 2.64.127.255 | 16,382 |
| 3 | 2.64.128.0/18 | 2.64.128.1 to 2.64.191.254 | 2.64.191.255 | 16,382 |
| 4 | 2.64.192.0/18 | 2.64.192.1 to 2.64.255.254 | 2.64.255.255 | 16,382 |
| 5 | 2.65.0.0/18 | 2.65.0.1 to 2.65.63.254 | 2.65.63.255 | 16,382 |
| 6 | 2.65.64.0/18 | 2.65.64.1 to 2.65.127.254 | 2.65.127.255 | 16,382 |
| 7 | 2.65.128.0/18 | 2.65.128.1 to 2.65.191.254 | 2.65.191.255 | 16,382 |
| 8 | 2.65.192.0/18 | 2.65.192.1 to 2.65.255.254 | 2.65.255.255 | 16,382 |
| 9 | 2.66.0.0/18 | 2.66.0.1 to 2.66.63.254 | 2.66.63.255 | 16,382 |
| 10 | 2.66.64.0/18 | 2.66.64.1 to 2.66.127.254 | 2.66.127.255 | 16,382 |
| 11 | 2.66.128.0/18 | 2.66.128.1 to 2.66.191.254 | 2.66.191.255 | 16,382 |
| 12 | 2.66.192.0/18 | 2.66.192.1 to 2.66.255.254 | 2.66.255.255 | 16,382 |
| 13 | 2.67.0.0/18 | 2.67.0.1 to 2.67.63.254 | 2.67.63.255 | 16,382 |
| 14 | 2.67.64.0/18 | 2.67.64.1 to 2.67.127.254 | 2.67.127.255 | 16,382 |
| 15 | 2.67.128.0/18 | 2.67.128.1 to 2.67.191.254 | 2.67.191.255 | 16,382 |
| 16 | 2.67.192.0/18 | 2.67.192.1 to 2.67.255.254 | 2.67.255.255 | 16,382 |
| 17 | 2.68.0.0/18 | 2.68.0.1 to 2.68.63.254 | 2.68.63.255 | 16,382 |
| 18 | 2.68.64.0/18 | 2.68.64.1 to 2.68.127.254 | 2.68.127.255 | 16,382 |
| 19 | 2.68.128.0/18 | 2.68.128.1 to 2.68.191.254 | 2.68.191.255 | 16,382 |
| 20 | 2.68.192.0/18 | 2.68.192.1 to 2.68.255.254 | 2.68.255.255 | 16,382 |
| 21 | 2.69.0.0/18 | 2.69.0.1 to 2.69.63.254 | 2.69.63.255 | 16,382 |
| 22 | 2.69.64.0/18 | 2.69.64.1 to 2.69.127.254 | 2.69.127.255 | 16,382 |
| 23 | 2.69.128.0/18 | 2.69.128.1 to 2.69.191.254 | 2.69.191.255 | 16,382 |
| 24 | 2.69.192.0/18 | 2.69.192.1 to 2.69.255.254 | 2.69.255.255 | 16,382 |
| 25 | 2.70.0.0/18 | 2.70.0.1 to 2.70.63.254 | 2.70.63.255 | 16,382 |
| 26 | 2.70.64.0/18 | 2.70.64.1 to 2.70.127.254 | 2.70.127.255 | 16,382 |
| 27 | 2.70.128.0/18 | 2.70.128.1 to 2.70.191.254 | 2.70.191.255 | 16,382 |
| 28 | 2.70.192.0/18 | 2.70.192.1 to 2.70.255.254 | 2.70.255.255 | 16,382 |
| 29 | 2.71.0.0/18 | 2.71.0.1 to 2.71.63.254 | 2.71.63.255 | 16,382 |
| 30 | 2.71.64.0/18 | 2.71.64.1 to 2.71.127.254 | 2.71.127.255 | 16,382 |
| 31 | 2.71.128.0/18 | 2.71.128.1 to 2.71.191.254 | 2.71.191.255 | 16,382 |
| 32 | 2.71.192.0/18 | 2.71.192.1 to 2.71.255.254 | 2.71.255.255 | 16,382 |
| 33 | 2.72.0.0/18 | 2.72.0.1 to 2.72.63.254 | 2.72.63.255 | 16,382 |
| 34 | 2.72.64.0/18 | 2.72.64.1 to 2.72.127.254 | 2.72.127.255 | 16,382 |
| 35 | 2.72.128.0/18 | 2.72.128.1 to 2.72.191.254 | 2.72.191.255 | 16,382 |
| 36 | 2.72.192.0/18 | 2.72.192.1 to 2.72.255.254 | 2.72.255.255 | 16,382 |
| 37 | 2.73.0.0/18 | 2.73.0.1 to 2.73.63.254 | 2.73.63.255 | 16,382 |
| 38 | 2.73.64.0/18 | 2.73.64.1 to 2.73.127.254 | 2.73.127.255 | 16,382 |
| 39 | 2.73.128.0/18 | 2.73.128.1 to 2.73.191.254 | 2.73.191.255 | 16,382 |
| 40 | 2.73.192.0/18 | 2.73.192.1 to 2.73.255.254 | 2.73.255.255 | 16,382 |
| 41 | 2.74.0.0/18 | 2.74.0.1 to 2.74.63.254 | 2.74.63.255 | 16,382 |
| 42 | 2.74.64.0/18 | 2.74.64.1 to 2.74.127.254 | 2.74.127.255 | 16,382 |
| 43 | 2.74.128.0/18 | 2.74.128.1 to 2.74.191.254 | 2.74.191.255 | 16,382 |
| 44 | 2.74.192.0/18 | 2.74.192.1 to 2.74.255.254 | 2.74.255.255 | 16,382 |
| 45 | 2.75.0.0/18 | 2.75.0.1 to 2.75.63.254 | 2.75.63.255 | 16,382 |
| 46 | 2.75.64.0/18 | 2.75.64.1 to 2.75.127.254 | 2.75.127.255 | 16,382 |
| 47 | 2.75.128.0/18 | 2.75.128.1 to 2.75.191.254 | 2.75.191.255 | 16,382 |
| 48 | 2.75.192.0/18 | 2.75.192.1 to 2.75.255.254 | 2.75.255.255 | 16,382 |
| 49 | 2.76.0.0/18 | 2.76.0.1 to 2.76.63.254 | 2.76.63.255 | 16,382 |
| 50 | 2.76.64.0/18 | 2.76.64.1 to 2.76.127.254 | 2.76.127.255 | 16,382 |
| 51 | 2.76.128.0/18 | 2.76.128.1 to 2.76.191.254 | 2.76.191.255 | 16,382 |
| 52 | 2.76.192.0/18 | 2.76.192.1 to 2.76.255.254 | 2.76.255.255 | 16,382 |
| 53 | 2.77.0.0/18 | 2.77.0.1 to 2.77.63.254 | 2.77.63.255 | 16,382 |
| 54 | 2.77.64.0/18 | 2.77.64.1 to 2.77.127.254 | 2.77.127.255 | 16,382 |
| 55 | 2.77.128.0/18 | 2.77.128.1 to 2.77.191.254 | 2.77.191.255 | 16,382 |
| 56 | 2.77.192.0/18 | 2.77.192.1 to 2.77.255.254 | 2.77.255.255 | 16,382 |
| 57 | 2.78.0.0/18 | 2.78.0.1 to 2.78.63.254 | 2.78.63.255 | 16,382 |
| 58 | 2.78.64.0/18 | 2.78.64.1 to 2.78.127.254 | 2.78.127.255 | 16,382 |
| 59 | 2.78.128.0/18 | 2.78.128.1 to 2.78.191.254 | 2.78.191.255 | 16,382 |
| 60 | 2.78.192.0/18 | 2.78.192.1 to 2.78.255.254 | 2.78.255.255 | 16,382 |
| 61 | 2.79.0.0/18 | 2.79.0.1 to 2.79.63.254 | 2.79.63.255 | 16,382 |
| 62 | 2.79.64.0/18 | 2.79.64.1 to 2.79.127.254 | 2.79.127.255 | 16,382 |
| 63 | 2.79.128.0/18 | 2.79.128.1 to 2.79.191.254 | 2.79.191.255 | 16,382 |
| 64 | 2.79.192.0/18 | 2.79.192.1 to 2.79.255.254 | 2.79.255.255 | 16,382 |
| 65 | 2.80.0.0/18 | 2.80.0.1 to 2.80.63.254 | 2.80.63.255 | 16,382 |
| 66 | 2.80.64.0/18 | 2.80.64.1 to 2.80.127.254 | 2.80.127.255 | 16,382 |
| 67 | 2.80.128.0/18 | 2.80.128.1 to 2.80.191.254 | 2.80.191.255 | 16,382 |
| 68 | 2.80.192.0/18 | 2.80.192.1 to 2.80.255.254 | 2.80.255.255 | 16,382 |
| 69 | 2.81.0.0/18 | 2.81.0.1 to 2.81.63.254 | 2.81.63.255 | 16,382 |
| 70 | 2.81.64.0/18 | 2.81.64.1 to 2.81.127.254 | 2.81.127.255 | 16,382 |
| 71 | 2.81.128.0/18 | 2.81.128.1 to 2.81.191.254 | 2.81.191.255 | 16,382 |
| 72 | 2.81.192.0/18 | 2.81.192.1 to 2.81.255.254 | 2.81.255.255 | 16,382 |
| 73 | 2.82.0.0/18 | 2.82.0.1 to 2.82.63.254 | 2.82.63.255 | 16,382 |
| 74 | 2.82.64.0/18 | 2.82.64.1 to 2.82.127.254 | 2.82.127.255 | 16,382 |
| 75 | 2.82.128.0/18 | 2.82.128.1 to 2.82.191.254 | 2.82.191.255 | 16,382 |
| 76 | 2.82.192.0/18 | 2.82.192.1 to 2.82.255.254 | 2.82.255.255 | 16,382 |
| 77 | 2.83.0.0/18 | 2.83.0.1 to 2.83.63.254 | 2.83.63.255 | 16,382 |
| 78 | 2.83.64.0/18 | 2.83.64.1 to 2.83.127.254 | 2.83.127.255 | 16,382 |
| 79 | 2.83.128.0/18 | 2.83.128.1 to 2.83.191.254 | 2.83.191.255 | 16,382 |
| 80 | 2.83.192.0/18 | 2.83.192.1 to 2.83.255.254 | 2.83.255.255 | 16,382 |
| 81 | 2.84.0.0/18 | 2.84.0.1 to 2.84.63.254 | 2.84.63.255 | 16,382 |
| 82 | 2.84.64.0/18 | 2.84.64.1 to 2.84.127.254 | 2.84.127.255 | 16,382 |
| 83 | 2.84.128.0/18 | 2.84.128.1 to 2.84.191.254 | 2.84.191.255 | 16,382 |
| 84 | 2.84.192.0/18 | 2.84.192.1 to 2.84.255.254 | 2.84.255.255 | 16,382 |
| 85 | 2.85.0.0/18 | 2.85.0.1 to 2.85.63.254 | 2.85.63.255 | 16,382 |
| 86 | 2.85.64.0/18 | 2.85.64.1 to 2.85.127.254 | 2.85.127.255 | 16,382 |
| 87 | 2.85.128.0/18 | 2.85.128.1 to 2.85.191.254 | 2.85.191.255 | 16,382 |
| 88 | 2.85.192.0/18 | 2.85.192.1 to 2.85.255.254 | 2.85.255.255 | 16,382 |
| 89 | 2.86.0.0/18 | 2.86.0.1 to 2.86.63.254 | 2.86.63.255 | 16,382 |
| 90 | 2.86.64.0/18 | 2.86.64.1 to 2.86.127.254 | 2.86.127.255 | 16,382 |
| 91 | 2.86.128.0/18 | 2.86.128.1 to 2.86.191.254 | 2.86.191.255 | 16,382 |
| 92 | 2.86.192.0/18 | 2.86.192.1 to 2.86.255.254 | 2.86.255.255 | 16,382 |
| 93 | 2.87.0.0/18 | 2.87.0.1 to 2.87.63.254 | 2.87.63.255 | 16,382 |
| 94 | 2.87.64.0/18 | 2.87.64.1 to 2.87.127.254 | 2.87.127.255 | 16,382 |
| 95 | 2.87.128.0/18 | 2.87.128.1 to 2.87.191.254 | 2.87.191.255 | 16,382 |
| 96 | 2.87.192.0/18 | 2.87.192.1 to 2.87.255.254 | 2.87.255.255 | 16,382 |
| 97 | 2.88.0.0/18 | 2.88.0.1 to 2.88.63.254 | 2.88.63.255 | 16,382 |
| 98 | 2.88.64.0/18 | 2.88.64.1 to 2.88.127.254 | 2.88.127.255 | 16,382 |
| 99 | 2.88.128.0/18 | 2.88.128.1 to 2.88.191.254 | 2.88.191.255 | 16,382 |
| 100 | 2.88.192.0/18 | 2.88.192.1 to 2.88.255.254 | 2.88.255.255 | 16,382 |
| 101 | 2.89.0.0/18 | 2.89.0.1 to 2.89.63.254 | 2.89.63.255 | 16,382 |
| 102 | 2.89.64.0/18 | 2.89.64.1 to 2.89.127.254 | 2.89.127.255 | 16,382 |
| 103 | 2.89.128.0/18 | 2.89.128.1 to 2.89.191.254 | 2.89.191.255 | 16,382 |
| 104 | 2.89.192.0/18 | 2.89.192.1 to 2.89.255.254 | 2.89.255.255 | 16,382 |
| 105 | 2.90.0.0/18 | 2.90.0.1 to 2.90.63.254 | 2.90.63.255 | 16,382 |
| 106 | 2.90.64.0/18 | 2.90.64.1 to 2.90.127.254 | 2.90.127.255 | 16,382 |
| 107 | 2.90.128.0/18 | 2.90.128.1 to 2.90.191.254 | 2.90.191.255 | 16,382 |
| 108 | 2.90.192.0/18 | 2.90.192.1 to 2.90.255.254 | 2.90.255.255 | 16,382 |
| 109 | 2.91.0.0/18 | 2.91.0.1 to 2.91.63.254 | 2.91.63.255 | 16,382 |
| 110 | 2.91.64.0/18 | 2.91.64.1 to 2.91.127.254 | 2.91.127.255 | 16,382 |
| 111 | 2.91.128.0/18 | 2.91.128.1 to 2.91.191.254 | 2.91.191.255 | 16,382 |
| 112 | 2.91.192.0/18 | 2.91.192.1 to 2.91.255.254 | 2.91.255.255 | 16,382 |
| 113 | 2.92.0.0/18 | 2.92.0.1 to 2.92.63.254 | 2.92.63.255 | 16,382 |
| 114 | 2.92.64.0/18 | 2.92.64.1 to 2.92.127.254 | 2.92.127.255 | 16,382 |
| 115 | 2.92.128.0/18 | 2.92.128.1 to 2.92.191.254 | 2.92.191.255 | 16,382 |
| 116 | 2.92.192.0/18 | 2.92.192.1 to 2.92.255.254 | 2.92.255.255 | 16,382 |
| 117 | 2.93.0.0/18 | 2.93.0.1 to 2.93.63.254 | 2.93.63.255 | 16,382 |
| 118 | 2.93.64.0/18 | 2.93.64.1 to 2.93.127.254 | 2.93.127.255 | 16,382 |
| 119 | 2.93.128.0/18 | 2.93.128.1 to 2.93.191.254 | 2.93.191.255 | 16,382 |
| 120 | 2.93.192.0/18 | 2.93.192.1 to 2.93.255.254 | 2.93.255.255 | 16,382 |
| 121 | 2.94.0.0/18 | 2.94.0.1 to 2.94.63.254 | 2.94.63.255 | 16,382 |
| 122 | 2.94.64.0/18 | 2.94.64.1 to 2.94.127.254 | 2.94.127.255 | 16,382 |
| 123 | 2.94.128.0/18 | 2.94.128.1 to 2.94.191.254 | 2.94.191.255 | 16,382 |
| 124 | 2.94.192.0/18 | 2.94.192.1 to 2.94.255.254 | 2.94.255.255 | 16,382 |
| 125 | 2.95.0.0/18 | 2.95.0.1 to 2.95.63.254 | 2.95.63.255 | 16,382 |
| 126 | 2.95.64.0/18 | 2.95.64.1 to 2.95.127.254 | 2.95.127.255 | 16,382 |
| 127 | 2.95.128.0/18 | 2.95.128.1 to 2.95.191.254 | 2.95.191.255 | 16,382 |
| 128 | 2.95.192.0/18 | 2.95.192.1 to 2.95.255.254 | 2.95.255.255 | 16,382 |
| 129 | 2.96.0.0/18 | 2.96.0.1 to 2.96.63.254 | 2.96.63.255 | 16,382 |
| 130 | 2.96.64.0/18 | 2.96.64.1 to 2.96.127.254 | 2.96.127.255 | 16,382 |
| 131 | 2.96.128.0/18 | 2.96.128.1 to 2.96.191.254 | 2.96.191.255 | 16,382 |
| 132 | 2.96.192.0/18 | 2.96.192.1 to 2.96.255.254 | 2.96.255.255 | 16,382 |
| 133 | 2.97.0.0/18 | 2.97.0.1 to 2.97.63.254 | 2.97.63.255 | 16,382 |
| 134 | 2.97.64.0/18 | 2.97.64.1 to 2.97.127.254 | 2.97.127.255 | 16,382 |
| 135 | 2.97.128.0/18 | 2.97.128.1 to 2.97.191.254 | 2.97.191.255 | 16,382 |
| 136 | 2.97.192.0/18 | 2.97.192.1 to 2.97.255.254 | 2.97.255.255 | 16,382 |
| 137 | 2.98.0.0/18 | 2.98.0.1 to 2.98.63.254 | 2.98.63.255 | 16,382 |
| 138 | 2.98.64.0/18 | 2.98.64.1 to 2.98.127.254 | 2.98.127.255 | 16,382 |
| 139 | 2.98.128.0/18 | 2.98.128.1 to 2.98.191.254 | 2.98.191.255 | 16,382 |
| 140 | 2.98.192.0/18 | 2.98.192.1 to 2.98.255.254 | 2.98.255.255 | 16,382 |
| 141 | 2.99.0.0/18 | 2.99.0.1 to 2.99.63.254 | 2.99.63.255 | 16,382 |
| 142 | 2.99.64.0/18 | 2.99.64.1 to 2.99.127.254 | 2.99.127.255 | 16,382 |
| 143 | 2.99.128.0/18 | 2.99.128.1 to 2.99.191.254 | 2.99.191.255 | 16,382 |
| 144 | 2.99.192.0/18 | 2.99.192.1 to 2.99.255.254 | 2.99.255.255 | 16,382 |
| 145 | 2.100.0.0/18 | 2.100.0.1 to 2.100.63.254 | 2.100.63.255 | 16,382 |
| 146 | 2.100.64.0/18 | 2.100.64.1 to 2.100.127.254 | 2.100.127.255 | 16,382 |
| 147 | 2.100.128.0/18 | 2.100.128.1 to 2.100.191.254 | 2.100.191.255 | 16,382 |
| 148 | 2.100.192.0/18 | 2.100.192.1 to 2.100.255.254 | 2.100.255.255 | 16,382 |
| 149 | 2.101.0.0/18 | 2.101.0.1 to 2.101.63.254 | 2.101.63.255 | 16,382 |
| 150 | 2.101.64.0/18 | 2.101.64.1 to 2.101.127.254 | 2.101.127.255 | 16,382 |
| 151 | 2.101.128.0/18 | 2.101.128.1 to 2.101.191.254 | 2.101.191.255 | 16,382 |
| 152 | 2.101.192.0/18 | 2.101.192.1 to 2.101.255.254 | 2.101.255.255 | 16,382 |
| 153 | 2.102.0.0/18 | 2.102.0.1 to 2.102.63.254 | 2.102.63.255 | 16,382 |
| 154 | 2.102.64.0/18 | 2.102.64.1 to 2.102.127.254 | 2.102.127.255 | 16,382 |
| 155 | 2.102.128.0/18 | 2.102.128.1 to 2.102.191.254 | 2.102.191.255 | 16,382 |
| 156 | 2.102.192.0/18 | 2.102.192.1 to 2.102.255.254 | 2.102.255.255 | 16,382 |
| 157 | 2.103.0.0/18 | 2.103.0.1 to 2.103.63.254 | 2.103.63.255 | 16,382 |
| 158 | 2.103.64.0/18 | 2.103.64.1 to 2.103.127.254 | 2.103.127.255 | 16,382 |
| 159 | 2.103.128.0/18 | 2.103.128.1 to 2.103.191.254 | 2.103.191.255 | 16,382 |
| 160 | 2.103.192.0/18 | 2.103.192.1 to 2.103.255.254 | 2.103.255.255 | 16,382 |
| 161 | 2.104.0.0/18 | 2.104.0.1 to 2.104.63.254 | 2.104.63.255 | 16,382 |
| 162 | 2.104.64.0/18 | 2.104.64.1 to 2.104.127.254 | 2.104.127.255 | 16,382 |
| 163 | 2.104.128.0/18 | 2.104.128.1 to 2.104.191.254 | 2.104.191.255 | 16,382 |
| 164 | 2.104.192.0/18 | 2.104.192.1 to 2.104.255.254 | 2.104.255.255 | 16,382 |
| 165 | 2.105.0.0/18 | 2.105.0.1 to 2.105.63.254 | 2.105.63.255 | 16,382 |
| 166 | 2.105.64.0/18 | 2.105.64.1 to 2.105.127.254 | 2.105.127.255 | 16,382 |
| 167 | 2.105.128.0/18 | 2.105.128.1 to 2.105.191.254 | 2.105.191.255 | 16,382 |
| 168 | 2.105.192.0/18 | 2.105.192.1 to 2.105.255.254 | 2.105.255.255 | 16,382 |
| 169 | 2.106.0.0/18 | 2.106.0.1 to 2.106.63.254 | 2.106.63.255 | 16,382 |
| 170 | 2.106.64.0/18 | 2.106.64.1 to 2.106.127.254 | 2.106.127.255 | 16,382 |
| 171 | 2.106.128.0/18 | 2.106.128.1 to 2.106.191.254 | 2.106.191.255 | 16,382 |
| 172 | 2.106.192.0/18 | 2.106.192.1 to 2.106.255.254 | 2.106.255.255 | 16,382 |
| 173 | 2.107.0.0/18 | 2.107.0.1 to 2.107.63.254 | 2.107.63.255 | 16,382 |
| 174 | 2.107.64.0/18 | 2.107.64.1 to 2.107.127.254 | 2.107.127.255 | 16,382 |
| 175 | 2.107.128.0/18 | 2.107.128.1 to 2.107.191.254 | 2.107.191.255 | 16,382 |
| 176 | 2.107.192.0/18 | 2.107.192.1 to 2.107.255.254 | 2.107.255.255 | 16,382 |
| 177 | 2.108.0.0/18 | 2.108.0.1 to 2.108.63.254 | 2.108.63.255 | 16,382 |
| 178 | 2.108.64.0/18 | 2.108.64.1 to 2.108.127.254 | 2.108.127.255 | 16,382 |
| 179 | 2.108.128.0/18 | 2.108.128.1 to 2.108.191.254 | 2.108.191.255 | 16,382 |
| 180 | 2.108.192.0/18 | 2.108.192.1 to 2.108.255.254 | 2.108.255.255 | 16,382 |
| 181 | 2.109.0.0/18 | 2.109.0.1 to 2.109.63.254 | 2.109.63.255 | 16,382 |
| 182 | 2.109.64.0/18 | 2.109.64.1 to 2.109.127.254 | 2.109.127.255 | 16,382 |
| 183 | 2.109.128.0/18 | 2.109.128.1 to 2.109.191.254 | 2.109.191.255 | 16,382 |
| 184 | 2.109.192.0/18 | 2.109.192.1 to 2.109.255.254 | 2.109.255.255 | 16,382 |
| 185 | 2.110.0.0/18 | 2.110.0.1 to 2.110.63.254 | 2.110.63.255 | 16,382 |
| 186 | 2.110.64.0/18 | 2.110.64.1 to 2.110.127.254 | 2.110.127.255 | 16,382 |
| 187 | 2.110.128.0/18 | 2.110.128.1 to 2.110.191.254 | 2.110.191.255 | 16,382 |
| 188 | 2.110.192.0/18 | 2.110.192.1 to 2.110.255.254 | 2.110.255.255 | 16,382 |
| 189 | 2.111.0.0/18 | 2.111.0.1 to 2.111.63.254 | 2.111.63.255 | 16,382 |
| 190 | 2.111.64.0/18 | 2.111.64.1 to 2.111.127.254 | 2.111.127.255 | 16,382 |
| 191 | 2.111.128.0/18 | 2.111.128.1 to 2.111.191.254 | 2.111.191.255 | 16,382 |
| 192 | 2.111.192.0/18 | 2.111.192.1 to 2.111.255.254 | 2.111.255.255 | 16,382 |
| 193 | 2.112.0.0/18 | 2.112.0.1 to 2.112.63.254 | 2.112.63.255 | 16,382 |
| 194 | 2.112.64.0/18 | 2.112.64.1 to 2.112.127.254 | 2.112.127.255 | 16,382 |
| 195 | 2.112.128.0/18 | 2.112.128.1 to 2.112.191.254 | 2.112.191.255 | 16,382 |
| 196 | 2.112.192.0/18 | 2.112.192.1 to 2.112.255.254 | 2.112.255.255 | 16,382 |
| 197 | 2.113.0.0/18 | 2.113.0.1 to 2.113.63.254 | 2.113.63.255 | 16,382 |
| 198 | 2.113.64.0/18 | 2.113.64.1 to 2.113.127.254 | 2.113.127.255 | 16,382 |
| 199 | 2.113.128.0/18 | 2.113.128.1 to 2.113.191.254 | 2.113.191.255 | 16,382 |
| 200 | 2.113.192.0/18 | 2.113.192.1 to 2.113.255.254 | 2.113.255.255 | 16,382 |
| 201 | 2.114.0.0/18 | 2.114.0.1 to 2.114.63.254 | 2.114.63.255 | 16,382 |
| 202 | 2.114.64.0/18 | 2.114.64.1 to 2.114.127.254 | 2.114.127.255 | 16,382 |
| 203 | 2.114.128.0/18 | 2.114.128.1 to 2.114.191.254 | 2.114.191.255 | 16,382 |
| 204 | 2.114.192.0/18 | 2.114.192.1 to 2.114.255.254 | 2.114.255.255 | 16,382 |
| 205 | 2.115.0.0/18 | 2.115.0.1 to 2.115.63.254 | 2.115.63.255 | 16,382 |
| 206 | 2.115.64.0/18 | 2.115.64.1 to 2.115.127.254 | 2.115.127.255 | 16,382 |
| 207 | 2.115.128.0/18 | 2.115.128.1 to 2.115.191.254 | 2.115.191.255 | 16,382 |
| 208 | 2.115.192.0/18 | 2.115.192.1 to 2.115.255.254 | 2.115.255.255 | 16,382 |
| 209 | 2.116.0.0/18 | 2.116.0.1 to 2.116.63.254 | 2.116.63.255 | 16,382 |
| 210 | 2.116.64.0/18 | 2.116.64.1 to 2.116.127.254 | 2.116.127.255 | 16,382 |
| 211 | 2.116.128.0/18 | 2.116.128.1 to 2.116.191.254 | 2.116.191.255 | 16,382 |
| 212 | 2.116.192.0/18 | 2.116.192.1 to 2.116.255.254 | 2.116.255.255 | 16,382 |
| 213 | 2.117.0.0/18 | 2.117.0.1 to 2.117.63.254 | 2.117.63.255 | 16,382 |
| 214 | 2.117.64.0/18 | 2.117.64.1 to 2.117.127.254 | 2.117.127.255 | 16,382 |
| 215 | 2.117.128.0/18 | 2.117.128.1 to 2.117.191.254 | 2.117.191.255 | 16,382 |
| 216 | 2.117.192.0/18 | 2.117.192.1 to 2.117.255.254 | 2.117.255.255 | 16,382 |
| 217 | 2.118.0.0/18 | 2.118.0.1 to 2.118.63.254 | 2.118.63.255 | 16,382 |
| 218 | 2.118.64.0/18 | 2.118.64.1 to 2.118.127.254 | 2.118.127.255 | 16,382 |
| 219 | 2.118.128.0/18 | 2.118.128.1 to 2.118.191.254 | 2.118.191.255 | 16,382 |
| 220 | 2.118.192.0/18 | 2.118.192.1 to 2.118.255.254 | 2.118.255.255 | 16,382 |
| 221 | 2.119.0.0/18 | 2.119.0.1 to 2.119.63.254 | 2.119.63.255 | 16,382 |
| 222 | 2.119.64.0/18 | 2.119.64.1 to 2.119.127.254 | 2.119.127.255 | 16,382 |
| 223 | 2.119.128.0/18 | 2.119.128.1 to 2.119.191.254 | 2.119.191.255 | 16,382 |
| 224 | 2.119.192.0/18 | 2.119.192.1 to 2.119.255.254 | 2.119.255.255 | 16,382 |
| 225 | 2.120.0.0/18 | 2.120.0.1 to 2.120.63.254 | 2.120.63.255 | 16,382 |
| 226 | 2.120.64.0/18 | 2.120.64.1 to 2.120.127.254 | 2.120.127.255 | 16,382 |
| 227 | 2.120.128.0/18 | 2.120.128.1 to 2.120.191.254 | 2.120.191.255 | 16,382 |
| 228 | 2.120.192.0/18 | 2.120.192.1 to 2.120.255.254 | 2.120.255.255 | 16,382 |
| 229 | 2.121.0.0/18 | 2.121.0.1 to 2.121.63.254 | 2.121.63.255 | 16,382 |
| 230 | 2.121.64.0/18 | 2.121.64.1 to 2.121.127.254 | 2.121.127.255 | 16,382 |
| 231 | 2.121.128.0/18 | 2.121.128.1 to 2.121.191.254 | 2.121.191.255 | 16,382 |
| 232 | 2.121.192.0/18 | 2.121.192.1 to 2.121.255.254 | 2.121.255.255 | 16,382 |
| 233 | 2.122.0.0/18 | 2.122.0.1 to 2.122.63.254 | 2.122.63.255 | 16,382 |
| 234 | 2.122.64.0/18 | 2.122.64.1 to 2.122.127.254 | 2.122.127.255 | 16,382 |
| 235 | 2.122.128.0/18 | 2.122.128.1 to 2.122.191.254 | 2.122.191.255 | 16,382 |
| 236 | 2.122.192.0/18 | 2.122.192.1 to 2.122.255.254 | 2.122.255.255 | 16,382 |
| 237 | 2.123.0.0/18 | 2.123.0.1 to 2.123.63.254 | 2.123.63.255 | 16,382 |
| 238 | 2.123.64.0/18 | 2.123.64.1 to 2.123.127.254 | 2.123.127.255 | 16,382 |
| 239 | 2.123.128.0/18 | 2.123.128.1 to 2.123.191.254 | 2.123.191.255 | 16,382 |
| 240 | 2.123.192.0/18 | 2.123.192.1 to 2.123.255.254 | 2.123.255.255 | 16,382 |
| 241 | 2.124.0.0/18 | 2.124.0.1 to 2.124.63.254 | 2.124.63.255 | 16,382 |
| 242 | 2.124.64.0/18 | 2.124.64.1 to 2.124.127.254 | 2.124.127.255 | 16,382 |
| 243 | 2.124.128.0/18 | 2.124.128.1 to 2.124.191.254 | 2.124.191.255 | 16,382 |
| 244 | 2.124.192.0/18 | 2.124.192.1 to 2.124.255.254 | 2.124.255.255 | 16,382 |
| 245 | 2.125.0.0/18 | 2.125.0.1 to 2.125.63.254 | 2.125.63.255 | 16,382 |
| 246 | 2.125.64.0/18 | 2.125.64.1 to 2.125.127.254 | 2.125.127.255 | 16,382 |
| 247 | 2.125.128.0/18 | 2.125.128.1 to 2.125.191.254 | 2.125.191.255 | 16,382 |
| 248 | 2.125.192.0/18 | 2.125.192.1 to 2.125.255.254 | 2.125.255.255 | 16,382 |
| 249 | 2.126.0.0/18 | 2.126.0.1 to 2.126.63.254 | 2.126.63.255 | 16,382 |
| 250 | 2.126.64.0/18 | 2.126.64.1 to 2.126.127.254 | 2.126.127.255 | 16,382 |
| 251 | 2.126.128.0/18 | 2.126.128.1 to 2.126.191.254 | 2.126.191.255 | 16,382 |
| 252 | 2.126.192.0/18 | 2.126.192.1 to 2.126.255.254 | 2.126.255.255 | 16,382 |
| 253 | 2.127.0.0/18 | 2.127.0.1 to 2.127.63.254 | 2.127.63.255 | 16,382 |
| 254 | 2.127.64.0/18 | 2.127.64.1 to 2.127.127.254 | 2.127.127.255 | 16,382 |
| 255 | 2.127.128.0/18 | 2.127.128.1 to 2.127.191.254 | 2.127.191.255 | 16,382 |
| 256 | 2.127.192.0/18 | 2.127.192.1 to 2.127.255.254 | 2.127.255.255 | 16,382 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |